<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 9:45 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombreDestinatario']) && isset($_REQUEST['nombreBanco']) && isset($_REQUEST['direccionPostal']) && isset($_REQUEST['swift']) && isset($_REQUEST['numeroCuenta']) && isset($_REQUEST['informacionAdicional'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $cuentaBancaria = R::dispense('cuentabancaria');
            $cuentaBancaria->nombre_destinatario = $_REQUEST['nombreDestinatario'];
            $cuentaBancaria->nombre_banco = $_REQUEST['nombreBanco'];
            $cuentaBancaria->direccion_postal = $_REQUEST['direccionPostal'];
            $cuentaBancaria->swift = $_REQUEST['swift'];
            $cuentaBancaria->numero_cuenta = $_REQUEST['numeroCuenta'];
            $cuentaBancaria->informacion_adicional = $_REQUEST['informacionAdicional'];
            $cuentaBancaria->id_condominio = $condominio["condominio_id"];
            $cuentaBancaria->id_autor = $creadoPor;
            $cuentaBancaria->fechaRegistro = date('Y-m-d H:i:s');
            $cuentaBancaria->fechaModificacion = date('Y-m-d H:i:s');
            $cuentaBancaria->estado = 1;
            $id = R::store($cuentaBancaria);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}